_G.CaVaPT = _G.CaVaPT or {}
CaVaPT.ModPath = ModPath
CaVaPT.SaveFile = SavePath .. "CaVaPT.txt"
CaVaPT.Settings = {}
function CaVaPT:reset()
    self.Settings = {
        cavapt_volume = 50
    }
end

function CaVaPT:load()
    local file = io.open(self.SaveFile,"r")
    if file then
        for k,v in pairs(json.decode(file:read('*all')) or {}) do
            self.Settings[k]=v
        end
        file:close()
    else
        self:reset()
    end
end

function CaVaPT:save()
    local file = io.open(self.SaveFile,"w+")
    if file then
        file:write(json.encode(self.Settings))
        file:close()
    end
end

CaVaPT:load()

Hooks:Add("LocalizationManagerPostInit" , "LocalizationManagerPostInit_CaVaPT" , function( loc )
	loc:load_localization_file( CaVaPT.ModPath .. "loc/english.txt", false )
end )

Hooks:Add( "MenuManagerInitialize", "MenuManagerInitialize_CaVaPT", function( menu_manager )
    function MenuCallbackHandler:AudioKillstreakSave(item)
        CaVaPT:Save()
    end

    function MenuCallbackHandler:set_cavapt_volume(item)
        CaVaPT.Settings.cavapt_volume = tonumber(item:value())
    end

    MenuHelper:LoadFromJsonFile( CaVaPT.ModPath .. "options/options.txt", CaVaPT, CaVaPT.Settings )
end )